Subject: [MMUSIC] RE: [AVT] RTP URL

From: [email-masked]
Date: Fri, 19 Aug 2005 10:45:01 +0300

Hi Ross

Thanks for the answer.

I got asked whether a "flute:" URL can be done and came to the
conclusion that the RTP URL syntax just about did it after a couple of
tweaks. But still it's at least as ugly as reference through SDP. Many
FLUTE deployments are for unidirectional networks so "sip:...sdp" isn't
an easy sell. The problem is that flute:...sdp would be the way to
reference the "flute describing sdp" on a multicast announcement. Back
to square one.

Anyway, IMHO some "initial state condition" is probably the right
requirement - i.e. bootstrapping by a well known channel: either well
known IP addressing (forgive me mboned) or by a link layer
ARP-substitute (inc. at least a well known label).

So hopefully "flute:" will prove to be unnecessary as with rtp: - or I
may be hanging my head in shame for more than just mp3 plugins :)

Cheers, Rod.

>-----Original Message-----
>From: ext Ross Finlayson [mailto:[email-masked]] 
>Sent: 18 August, 2005 01:17
>To: Walsh Rod (Nokia-NRC/Tampere)
>Cc: [email-masked]; [email-masked]
>Subject: Re: [AVT] RTP URL
>
>
>>Has it been buried deeply for good reasons
>
>Yes - the reason being that URL cannot (easily) convey enough 
>information to describe a RTP stream.  Instead, a SDP 
>description (conveyed via a "rtsp://" or "sip:" URL) is the 
>best way to describe a stream.
>
>>(RTP URL, e.g., as mentioned in
>>http://www.live.com/multikit/winamp-plugin.html
>
>That's a gross hack that I'm a bit ashamed to be responsible for
>:-)  If you look at the details of this, you'll see that it 
>works only for MP3 RTP streams (handled by this particular 
>Winamp plugin).
>
>
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic